## freeftf
## Copyright (C) 2024  Patrick_Pluto
##
## This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.

extends Node

func loadJSON(savePath):
	if not FileAccess.file_exists(savePath):
		return 1
	
	var fileAccess = FileAccess.open(savePath, FileAccess.READ)
	
	var jsonString = fileAccess.get_line()
	
	fileAccess.close()
	
	var json = JSON.new()
	
	var error = json.parse(jsonString)
	
	if error:
		return 1
	
	return json.data
